summaryrefslogtreecommitdiffstats
path: root/source/l/adwaita-icon-theme
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/adwaita-icon-theme')
-rwxr-xr-xsource/l/adwaita-icon-theme/adwaita-icon-theme.SlackBuild20
-rw-r--r--source/l/adwaita-icon-theme/inherit-hicolor-theme.diff10
-rw-r--r--source/l/adwaita-icon-theme/slack-desc6
3 files changed, 22 insertions, 14 deletions
diff --git a/source/l/adwaita-icon-theme/adwaita-icon-theme.SlackBuild b/source/l/adwaita-icon-theme/adwaita-icon-theme.SlackBuild
index 87a34784c..f3fe2b19c 100755
--- a/source/l/adwaita-icon-theme/adwaita-icon-theme.SlackBuild
+++ b/source/l/adwaita-icon-theme/adwaita-icon-theme.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2012, 2013 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012, 2013, 2018 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=adwaita-icon-theme
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -37,13 +38,20 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-noarch-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -52,7 +60,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
# Add Inherits=hicolor to the index.theme
diff --git a/source/l/adwaita-icon-theme/inherit-hicolor-theme.diff b/source/l/adwaita-icon-theme/inherit-hicolor-theme.diff
index 15c990bd1..8221c4912 100644
--- a/source/l/adwaita-icon-theme/inherit-hicolor-theme.diff
+++ b/source/l/adwaita-icon-theme/inherit-hicolor-theme.diff
@@ -1,9 +1,9 @@
-diff -Nur adwaita-icon-theme-3.14.0.orig/index.theme.in.in adwaita-icon-theme-3.14.0/index.theme.in.in
---- adwaita-icon-theme-3.14.0.orig/index.theme.in.in 2014-04-26 09:09:02.000000000 -0500
-+++ adwaita-icon-theme-3.14.0/index.theme.in.in 2014-09-23 00:18:46.390551084 -0500
+diff -Nur adwaita-icon-theme-3.20.orig/index.theme.in adwaita-icon-theme-3.20/index.theme.in
+--- adwaita-icon-theme-3.20.orig/index.theme.in 2016-01-11 04:58:10.000000000 -0600
++++ adwaita-icon-theme-3.20/index.theme.in 2016-07-07 00:22:56.380442071 -0500
@@ -2,6 +2,7 @@
- _Name=Adwaita
- _Comment=The Only One
+ Name=Adwaita
+ Comment=The Only One
Example=folder
+Inherits=hicolor
diff --git a/source/l/adwaita-icon-theme/slack-desc b/source/l/adwaita-icon-theme/slack-desc
index 6b30df3f8..1414ab79d 100644
--- a/source/l/adwaita-icon-theme/slack-desc
+++ b/source/l/adwaita-icon-theme/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|